# wxScrollWinEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxScrollWinEvent:
[legend]

## Detailed Description

A scroll event holds information about events sent from scrolling windows.

Note that you can use the EVT_SCROLLWIN* macros for intercepting scroll window events from the receiving window.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxScrollWinEvent& event)
Event macros:

- EVT_SCROLLWIN(func):
  Process all scroll events.
- EVT_SCROLLWIN_TOP(func):
  Process `wxEVT_SCROLLWIN_TOP` scroll-to-top events.
- EVT_SCROLLWIN_BOTTOM(func):
  Process `wxEVT_SCROLLWIN_BOTTOM` scroll-to-bottom events.
- EVT_SCROLLWIN_LINEUP(func):
  Process `wxEVT_SCROLLWIN_LINEUP` line up events.
- EVT_SCROLLWIN_LINEDOWN(func):
  Process `wxEVT_SCROLLWIN_LINEDOWN` line down events.
- EVT_SCROLLWIN_PAGEUP(func):
  Process `wxEVT_SCROLLWIN_PAGEUP` page up events.
- EVT_SCROLLWIN_PAGEDOWN(func):
  Process `wxEVT_SCROLLWIN_PAGEDOWN` page down events.
- EVT_SCROLLWIN_THUMBTRACK(func):
  Process `wxEVT_SCROLLWIN_THUMBTRACK` thumbtrack events (frequent events sent as the user drags the thumbtrack).
- EVT_SCROLLWIN_THUMBRELEASE(func):
  Process `wxEVT_SCROLLWIN_THUMBRELEASE` thumb release events.

##

Library: wxCore

Category: Events

See also:
  wxScrollEvent, Events and Event Handling

## Public Member Functions
| wxScrollWinEvent (wxEventType commandType=wxEVT_NULL, int pos=0, int orientation=0)
| Constructor.
int | GetOrientation () const
| Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.
int | GetPosition () const
| Returns the position of the scrollbar for the thumb track and release events.
void | SetOrientation (int orient)
void | SetPosition (int pos)

List of all members.

## Constructor & Destructor Documentation

wxScrollWinEvent::wxScrollWinEvent | ( | wxEventType | commandType = `wxEVT_NULL`,
|  | int | pos = `0`,
|  | int | orientation = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

int wxScrollWinEvent::GetOrientation | ( |  | ) | const

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

Todo:
  wxHORIZONTAL and wxVERTICAL should go in their own enum

int wxScrollWinEvent::GetPosition | ( |  | ) | const

Returns the position of the scrollbar for the thumb track and release events.

Note that this field can't be used for the other events, you need to query the window itself for the current position in that case.

void wxScrollWinEvent::SetOrientation | ( | int | orient | ) |

void wxScrollWinEvent::SetPosition | ( | int | pos | ) |

|  | [ top ]